POST https://api.cryptohopper.com/v1/hopper/{id}/position/movetoreserved

Moves the given open positions to reserved funds: each position is removed from the open positions, added as a reserved position, and the hopper's reserved balances are recalculated.

OAuth scope: read manage About scopes

Not available for exchange arbitrage, market maker, copy, grid and AI bots.

Example request

curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/position/movetoreserved" \
  -H "access-token: YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"position_ids":[123456,123457]}'

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Request body

JSON, model PositionIDsPOST

FieldTypeRequiredDescription
position_idsarray of integerRequired

Response

Example response (illustrative values)

{
    "data": "Position(s) moved to reserved funds."
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.